<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getShopEZwrotyListResponse StructType
 * @subpackage Structs
 */
class GetShopEZwrotyListResponse extends AbstractStructBase
{
    /**
     * The shops
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ShopEZwrotyInfoType[]
     */
    public $shops;
    /**
     * Constructor method for getShopEZwrotyListResponse
     * @uses GetShopEZwrotyListResponse::setShops()
     * @param \StructType\ShopEZwrotyInfoType[] $shops
     */
    public function __construct(array $shops = array())
    {
        $this
            ->setShops($shops);
    }
    /**
     * Get shops value
     * @return \StructType\ShopEZwrotyInfoType[]|null
     */
    public function getShops()
    {
        return $this->shops;
    }
    /**
     * This method is responsible for validating the values passed to the setShops method
     * This method is willingly generated in order to preserve the one-line inline validation within the setShops method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateShopsForArrayConstraintsFromSetShops(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getShopEZwrotyListResponseShopsItem) {
            // validation for constraint: itemType
            if (!$getShopEZwrotyListResponseShopsItem instanceof \StructType\ShopEZwrotyInfoType) {
                $invalidValues[] = is_object($getShopEZwrotyListResponseShopsItem) ? get_class($getShopEZwrotyListResponseShopsItem) : sprintf('%s(%s)', gettype($getShopEZwrotyListResponseShopsItem), var_export($getShopEZwrotyListResponseShopsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The shops property can only contain items of type \StructType\ShopEZwrotyInfoType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set shops value
     * @throws \InvalidArgumentException
     * @param \StructType\ShopEZwrotyInfoType[] $shops
     * @return \StructType\GetShopEZwrotyListResponse
     */
    public function setShops(array $shops = array())
    {
        // validation for constraint: array
        if ('' !== ($shopsArrayErrorMessage = self::validateShopsForArrayConstraintsFromSetShops($shops))) {
            throw new \InvalidArgumentException($shopsArrayErrorMessage, __LINE__);
        }
        $this->shops = $shops;
        return $this;
    }
    /**
     * Add item to shops value
     * @throws \InvalidArgumentException
     * @param \StructType\ShopEZwrotyInfoType $item
     * @return \StructType\GetShopEZwrotyListResponse
     */
    public function addToShops(\StructType\ShopEZwrotyInfoType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ShopEZwrotyInfoType) {
            throw new \InvalidArgumentException(sprintf('The shops property can only contain items of type \StructType\ShopEZwrotyInfoType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->shops[] = $item;
        return $this;
    }
}
