<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for oplacaOdbiorcaType StructType
 * @subpackage Structs
 */
class OplacaOdbiorcaType extends AbstractStructBase
{
    /**
     * The typ
     * Meta information extracted from the WSDL
     * - documentation: Typ odbiorcy/adresata opłacającego przesyłkę. Dopuszczalne wartości: ADRESAT_INDYWIDUALNY, ADRESAT_UMOWNY, ODDZIAL.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $typ;
    /**
     * The karta
     * Meta information extracted from the WSDL
     * - documentation: Wymagalny dla typ=ADRESAT_UMOWNY i typ=ODDZIAL.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\OplacaOdbiorcaKartaType
     */
    public $karta;
    /**
     * Constructor method for oplacaOdbiorcaType
     * @uses OplacaOdbiorcaType::setTyp()
     * @uses OplacaOdbiorcaType::setKarta()
     * @param string $typ
     * @param \StructType\OplacaOdbiorcaKartaType $karta
     */
    public function __construct($typ = null, \StructType\OplacaOdbiorcaKartaType $karta = null)
    {
        $this
            ->setTyp($typ)
            ->setKarta($karta);
    }
    /**
     * Get typ value
     * @return string|null
     */
    public function getTyp()
    {
        return $this->typ;
    }
    /**
     * Set typ value
     * @uses \EnumType\TypOplacaOdbiorcaEnum::valueIsValid()
     * @uses \EnumType\TypOplacaOdbiorcaEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $typ
     * @return \StructType\OplacaOdbiorcaType
     */
    public function setTyp($typ = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\TypOplacaOdbiorcaEnum::valueIsValid($typ)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\TypOplacaOdbiorcaEnum', is_array($typ) ? implode(', ', $typ) : var_export($typ, true), implode(', ', \EnumType\TypOplacaOdbiorcaEnum::getValidValues())), __LINE__);
        }
        $this->typ = $typ;
        return $this;
    }
    /**
     * Get karta value
     * @return \StructType\OplacaOdbiorcaKartaType|null
     */
    public function getKarta()
    {
        return $this->karta;
    }
    /**
     * Set karta value
     * @param \StructType\OplacaOdbiorcaKartaType $karta
     * @return \StructType\OplacaOdbiorcaType
     */
    public function setKarta(\StructType\OplacaOdbiorcaKartaType $karta = null)
    {
        $this->karta = $karta;
        return $this;
    }
}
